PHP, which is a backronym for PHP: Hypertext Preprocessor, is one of the most widely used open-source scripting languages out there. Any site or Internet application built on PHP will run on a given web server on the condition that a PHP module is activated, which makes the language truly universal and it isn’t really a big surprise that there are actually a few million servers that support it and 100s of millions of PHP websites hosted on them. PHP is preferred over HTML owing to the fact that it enables you to develop a responsive website with a lot of different features. A PHP-based social networking website, for example, will serve unique content to each user although the page URL will stay unchanged. By contrast, HTML sites are static and the page content can be modified only manually. Just like any other piece of software, PHP has different versions and the one that was used whilst developing a certain website must be enabled on the web server so that the site can run correctly.

PHP 4 and PHP 5 Support in Shared Website Hosting

Our shared website hosting servers support different versions of PHP, which means that your sites will run correctly no matter if your scripts are out of date. We know that an old site does not always imply a vulnerable one as you may have performed lots of mods to its source code. That’s the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can select which version will be enabled for your shared web hosting account. The version can be changed with one click through your Hepsia hosting Control Panel and the new settings will be applied straight away. If you would like to run both newer and older scripts, there is even an option to use a different version of PHP for each of your domain names at the same time.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Our Linux semi-dedicated hosting support multiple versions of PHP, so you’ll be able to use all the web apps that you have created through the years. The Hepsia Control Panel, which comes bundled with each single account, will allow you to activate the needed version with only one mouse click. You can pick between PHP 5.5, 5.4, 5.3, 5.2 and 4. If you’d like to host multiple sites under one single account and they have distinct requirements in connection with the web hosting platform, you will be able to set a different version for each one of them regardless of which version is selected for the account itself. This is possible owing to our custom-developed cloud platform, which allows us to run several PHP versions all at once. By contrast, the vast majority of hosting suppliers usually support one, maximum two versions.